---
updatedAt: 2025-05-22T20:26:57.000Z
agentTools:
  projectIndex: https://docs.klarda.com/llms.txt
---

# Get Global Data

The Get Global Data API allows you to easily fetch the global data in Klarda

## Definition

This endpoint retrieves comprehensive global data related to the cryptocurrency market. It provides key metrics and insights that give an overview of the current state of the market.

## Query Parameters

*This API currently has no query parameters. If in the future, there are demands for specific filters or parameters, we will improve and update the API accordingly.*

## Response

The response will include a JSON object containing various global metrics and data points, which may include total market cap and other relevant information.

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "klarda-token-market-api",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api.klarda.com/api/v1/market"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "query",
        "name": "api_key"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/global": {
      "get": {
        "summary": "Get Global Data",
        "description": "The Get Global Data API allows you to easily fetch the global data in Klarda",
        "operationId": "get-global-data",
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Succeed": {
                    "value": "{\n  \"success\": true,\n  \"data\": {\n    \"total_marketCap\": 2544017797884,\n    \"total_volume24h\": 67134793259,\n    \"btc_dominance\": 49.9784,\n    \"eth_dominance\": 14.6697,\n    \"created_at\": \"2024-04-19T09:20:01.162Z\",\n    \"id\": \"66223741a62d7316f9162c59\"\n  }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean",
                      "example": true,
                      "default": true
                    },
                    "data": {
                      "type": "object",
                      "properties": {
                        "total_marketCap": {
                          "type": "integer",
                          "example": 2544017797884,
                          "default": 0
                        },
                        "total_volume24h": {
                          "type": "integer",
                          "example": 67134793259,
                          "default": 0
                        },
                        "btc_dominance": {
                          "type": "number",
                          "example": 49.9784,
                          "default": 0
                        },
                        "eth_dominance": {
                          "type": "number",
                          "example": 14.6697,
                          "default": 0
                        },
                        "created_at": {
                          "type": "string",
                          "example": "2024-04-19T09:20:01.162Z"
                        },
                        "id": {
                          "type": "string",
                          "example": "66223741a62d7316f9162c59"
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"statusCode\": 400,\n  \"message\": \"Wrong api_key, please check!\",\n  \"error\": \"Bad Request\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "statusCode": {
                      "type": "integer",
                      "example": 400,
                      "default": 0
                    },
                    "message": {
                      "type": "string",
                      "example": "Wrong api_key, please check!"
                    },
                    "error": {
                      "type": "string",
                      "example": "Bad Request"
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "401",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"statusCode\": 401,\n  \"message\": \"Unauthorized\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "statusCode": {
                      "type": "integer",
                      "example": 401,
                      "default": 0
                    },
                    "message": {
                      "type": "string",
                      "example": "Unauthorized"
                    }
                  }
                }
              }
            }
          },
          "500": {
            "description": "500",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"statusCode\": 500,\n  \"message\": \"Internal server error\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "statusCode": {
                      "type": "integer",
                      "example": 500,
                      "default": 0
                    },
                    "message": {
                      "type": "string",
                      "example": "Internal server error"
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```